# User configurations

Want some help with starting your configuration?
Or maybe you're curious how others have done things?
Take a look at these configuration examples below.

<!-- TODO: add info about `kickstart.nixvim` -->

**Note:**\
Most of those configurations are using a [standalone build](../platforms/standalone.html), however,
all of the nixvim options are accessible no matter how you are using it (flake, NixOS/HM module, nix-darwin...).

| Config | Comment |
|-|-|
| [ahwxorg/nixvim-config] | |
| [alisonjenkins/neovim-nix-flake] | |
| [bkp5190/home-manager-configs] | Home-manager |
| [dc-tec/nixvim] | NixVim config, inspired by some of the contributors in this list and LazyVIM |
| [elythh/nixvim] | |
| [fred-drake/neovim] | NixVim config, with format/lsp/debug configurations for Rust, Go, Python and more |
| [GaetanLepage/nix-config] | Home-manager |
| [gwg313/nvim-nix] | |
| [hbjydev/hvim] | |
| [JMartJonesy/kickstart.nixvim] | An implementation of kickstart.nvim using nixvim |
| [JMartJonesy/kickstart.nixvim/tree/standalone] | An implementation of kickstart.nvim using nixvim in a standalone flake |
| [khaneliman/khanelivim] | Constantly tweaked jack of all trades development focused configuration. |
| [MikaelFangel/nixvim-config] | An easy-setup configuration for NixVim, focused on straightforward customization |
| [nicolas-goudry/nixvim-config] | Heavily inspired by AstroNvim |
| [niksingh710/nvix] | Ported from a lazy-based lua config. Contains examples of most use cases, including custom, nixpkgs, & nixvim plugins. |
| [pete3n/nixvim-flake] | |
| [redyf/Neve] | Meticulously crafted custom configuration for Nixvim |
| [siph/nixvim-flake] | |
| [Tanish2002/neovim-config] | |
| [traxys/Nixfiles] | |
| [veeronniecaw/ronvim] | |
| [zainkergaye/nixosdotfiles] | NixVim editor primarily for Java and Asciidoc |

<!-- WARNING: Please ensure entries are alphabetically sorted ! -->

[ahwxorg/nixvim-config]: https://github.com/ahwxorg/nixvim-config
[alisonjenkins/neovim-nix-flake]: https://github.com/alisonjenkins/neovim-nix-flake
[bkp5190/home-manager-configs]: https://github.com/bkp5190/Home-Manager-Configs
[dc-tec/nixvim]: https://github.com/dc-tec/nixvim
[elythh/nixvim]: https://github.com/elythh/nixvim
[fred-drake/neovim]: https://github.com/fred-drake/neovim
[GaetanLepage/nix-config]: https://github.com/GaetanLepage/nix-config/tree/master/home/modules/tui/neovim
[gwg313/nvim-nix]: https://github.com/gwg313/nvim-nix
[hbjydev/hvim]: https://github.com/hbjydev/hvim
[JMartJonesy/kickstart.nixvim]: https://github.com/JMartJonesy/kickstart.nixvim
[JMartJonesy/kickstart.nixvim/tree/standalone]: https://github.com/JMartJonesy/kickstart.nixvim/tree/standalone
[khaneliman/khanelivim]: https://github.com/khaneliman/khanelivim
[MikaelFangel/nixvim-config]: https://github.com/MikaelFangel/nixvim-config
[nicolas-goudry/nixvim-config]: https://github.com/nicolas-goudry/nixvim-config
[niksingh710/nvix]: https://github.com/niksingh710/nvix
[pete3n/nixvim-flake]: https://github.com/pete3n/nixvim-flake
[redyf/Neve]: https://github.com/redyf/Neve
[siph/nixvim-flake]: https://github.com/siph/nixvim-flake
[Tanish2002/neovim-config]: https://github.com/Tanish2002/neovim-config
[traxys/Nixfiles]: https://github.com/traxys/Nixfiles/tree/master/neovim
[veeronniecaw/ronvim]: https://codeberg.org/veeronniecaw/ronvim
[zainkergaye/nixosdotfiles]: https://github.com/ZainKergaye/nixosdotfiles/tree/master/user/programs/nixvim

## Share your config !

To add a configuration to this list, either:
- Edit [this file](https://github.com/nix-community/nixvim/blob/main/docs/user-guide/config-examples.md) and make a PR on the [nixvim repo](https://github.com/nix-community/nixvim).
- Send a message to the [matrix _Documentation_ room](https://matrix.to/#/#nixvim-documentation:matrix.org)
